## org.apache.myfaces.custom.tabbedpane
Class TabChangeListenerTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          org.apache.myfaces.custom.tabbedpane.TabChangeListenerTag

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class TabChangeListenerTag
extends javax.servlet.jsp.tagext.TagSupport

Tag to add a tab change listeners to a `HtmlPanelTabbedPane`

Version:
  $Revision: 225368 $ $Date: 2005-07-26 14:14:51 -0400 (Tue, 26 Jul 2005) $
Author:
  Oliver Rossmueller
See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TabChangeListenerTag()`

Method Summary
`int` `doStartTag()`
`void` `setType(java.lang.String type)`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TabChangeListenerTag

    public TabChangeListenerTag()

Method Detail

### setType

    public void setType(java.lang.String type)

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Throws:
    `javax.servlet.jsp.JspException`